wdcp 升级到php5.6

查看了下别人的微博,升级脚本如下

wget http://soft.laozuo.org/wdcp/php_up569.sh
sh php_up569.sh

但是我的出了错误提示:

/root/php-5.6.12/ext/iconv/iconv.c: 在函数‘zm_startup_miconv’中:
/root/php-5.6.12/ext/iconv/iconv.c:283: 错误:‘_libiconv_version’未声明(在此函数内第一次使用)
/root/php-5.6.12/ext/iconv/iconv.c:283: 错误:(即使在一个函数内多次出现,每个未声明的标识符在其
/root/php-5.6.12/ext/iconv/iconv.c:283: 错误:所在的函数内也只报告一次。)
make: *** [ext/iconv/iconv.lo] 错误 1

解决方法:

wget http://down.wdlinux.cn/in/iconv_ins.sh
sh iconv_ins.sh

安装时又有错误提示:

iconv_ins.sh: line 14: ./configure: 权限不够
make: *** 没有指明目标并且找不到 makefile。 停止。

解决方法:原来是安装了云锁的原因,卸载后,再次安装以上,就OK了。

/usr/local/yunsuo_agent/uninstall

 

分享到:更多 ()

抢沙发

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址